import request from '@/utils/request';

// 登录
export function login(idCard, phoneNumber, password) {
    const data = {
      idCard,
      phoneNumber,
      password,
    }
    return request({
      url: '/web/artStudent/login',
      headers: {
        isToken: false
      },
      method: 'post',
      data: data
    })
  }

// 注册
export function register(data) {
    return request({
        url: '/web/artStudent/register',
        method: 'post',
        data:data
    })
}

// 获取信息
export function getInfo() {
  return request({
      url: '/web/artStudent/getInfo',
      method: 'get'
  })
}

// 退出登录
export function logout() {
  return request({
      url: '/web/artStudent/logout',
      method: 'get'
  })
}